# Uses of Record Class
org.apache.lucene.codecs.uniformsplit.sharedterms.FieldMetadataTermState

Packages that use FieldMetadataTermState
Package
Description
org.apache.lucene.codecs.uniformsplit.sharedterms
Pluggable term index / block terms dictionary implementations.

- ## Uses of FieldMetadataTermState in org.apache.lucene.codecs.uniformsplit.sharedterms

  Fields in org.apache.lucene.codecs.uniformsplit.sharedterms with type parameters of type FieldMetadataTermState
  Modifier and Type
  Field
  Description
  `protected final List<FieldMetadataTermState>`
  STBlockLine.`termStates`
  List of the fields ond their TermStates for this block line.
  Method parameters in org.apache.lucene.codecs.uniformsplit.sharedterms with type arguments of type FieldMetadataTermState
  Modifier and Type
  Method
  Description
  `void`
  STBlockWriter.`addLine(BytesRef term, List<FieldMetadataTermState> termStates, IndexDictionary.Builder dictionaryBuilder)`
  Adds a new `BlockLine` term for the current field.
  Constructor parameters in org.apache.lucene.codecs.uniformsplit.sharedterms with type arguments of type FieldMetadataTermState
  Modifier
  Constructor
  Description
  ``
  `STBlockLine(TermBytes termBytes, List<FieldMetadataTermState> termStates)`